View Single Post
Old 3 weeks ago
  #22
I'm curious about the tech requirements. I'm on OS 10.12, while the requirements spec at 10.14

What are the draw-backs of using an older system like mine?